curl -X POST "https://backend.conversales.in/api/v1/sendImageMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendImageMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/image.jpg",
message: "Check out this image!",
type: "image",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendImageMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Image message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Chat Operations
Send Image Message
Send an image message via WhatsApp
POST
/
api
/
v1
/
sendImageMessage
curl -X POST "https://backend.conversales.in/api/v1/sendImageMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendImageMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/image.jpg",
message: "Check out this image!",
type: "image",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendImageMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Image message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Authentication
string
required
Your API key for authentication
Request Body
string
required
Recipient phone number
string
required
Public URL of the image file
string
required
Message Type (e.g., image)
string
Image caption (optional)
string
Message ID to reply to (optional)
string
Custom reference ID (optional)
curl -X POST "https://backend.conversales.in/api/v1/sendImageMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendImageMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/image.jpg",
message: "Check out this image!",
type: "image",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendImageMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/image.jpg",
"message": "Check out this image!",
"type":"image"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Image message sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
The image URL must be publicly accessible. Supported formats: JPG, PNG, GIF.